#!/usr/bin/perl -w

use strict;
use Bio::SearchIO;

my $usage = "Usage:\n\nparse_em.pl reportFile\n";		# proper usage
my $report_file = shift || die $usage;					# ensure we've got our input file

my $report_obj = new Bio::SearchIO(	'-format' => 'blast',                                   
									'-file'   => $report_file);   

					
while (my $result = $report_obj->next_result) {     		# get one report
	
	# got our report; now...
	while (my $hit = $result->next_hit) {       			# get our hit
		
		# got our hit; now ...
		while (my $hsp = $hit->next_hsp) {           		# get our hsp
		
			# got our HSP; now ...
			if ($hsp->percent_identity > 75) {             
		 		print 	"Hit\t", $hit->name,  "\tLength\t", $hsp->length('total'),  
				  		"\tPercent_id\t", $hsp->percent_identity, "\n";         
			}       
	 	}     
	}   
}