#!/usr/bin/perl -w

use strict;									# tell Perl to be stern
use Bio::SeqIO;								# use the Bio I/O routines

my $usage = "Useage:\n\nread_write_file.pl infile format\n\n";
    
my $infile = shift || die $usage; 			# get the file name, somehow
my $outfile = "$infile.out";				# make our own name
my $outfileformat = shift || die $usage;	# also need the format

my $seqio_in = Bio::SeqIO->new(	'-file' => "<$infile");

my $seqio_out = Bio::SeqIO->new('-file' => ">$outfile",
                                       '-format' => $outfileformat);

# write each entry in the input file to the output file
while (my $inseq = $seqio_in->next_seq) {	# get new input entry
	$seqio_out->write_seq($inseq);			# write that entry out
}

exit;

##
#

