#!/usr/bin/perl -w

use strict;
use Bio::SeqIO;

my $usage = "Useage:\n\nread_write_file.pl infile\n\n";
    
my $infile = shift || die $usage; 			# get the file name, somehow
my $outfile = "$infile.out";				# make our own name

my $seqio_in = Bio::SeqIO->new(	'-file' => "<$infile");

my $seqio_out = Bio::SeqIO->new('-file' => ">$outfile",
                                       '-format' => 'fasta');

# write each entry in the input file to the output file
while (my $inseq = $seqio_in->next_seq) {
	$seqio_out->write_seq($inseq);
}

exit;

