#!/usr/bin/perl -w

use strict;
use Bio::SeqIO;
use Bio::Tools::Run::StandAloneBlast;

my $usage = "Usage:\n\nblast_em.pl sequenceFile\n";		# proper usage
my $seq_file = shift || die $usage;						# ensure we've got our input file

$ENV{'BLASTDB'} = "/rodeo/databases/blast";				# tell blast where the DBs are
my @params = (	'program'	=> 'blastx',					# our params
				'database'	=> 'swissprot',
				'outfile'	=> "$seq_file.out",
				'v'			=>	50,
				'b'			=>	50,
				'e'			=>	0.5);

my $blast_obj = Bio::Tools::Run::StandAloneBlast->new(@params);

my $seqio_obj = Bio::SeqIO->new( '-file' => "<$seq_file");

print "BLASTing ...\n";

while (my $in_seq = $seqio_obj->next_seq) {

	my $report_obj = $blast_obj->blastall($in_seq);
	
	print "BLAST is done! \n";
	
	my $result_obj = $report_obj->next_result;
	
	print "Number of hits: ", $result_obj->num_hits, "\n";
}

exit;
